{
  "main": {
    "id": "9c5b007ab74924bc",
    "type": "split",
    "children": [
      {
        "id": "ceb8ca67f2b32f40",
        "type": "tabs",
        "dimension": 44.627507163323784,
        "children": [
          {
            "id": "ec8d1a91f1f0cc7e",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "Concurrent Systems/notes/14.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "14"
            }
          }
        ]
      },
      {
        "id": "23a71d5ae1bd9e0f",
        "type": "tabs",
        "dimension": 55.372492836676216,
        "children": [
          {
            "id": "ae2c5ab99ad6ca6a",
            "type": "leaf",
            "state": {
              "type": "pdf",
              "state": {
                "file": "Concurrent Systems/slides/class 14.pdf"
              },
              "icon": "lucide-file-text",
              "title": "class 14"
            }
          }
        ]
      }
    ],
    "direction": "vertical"
  },
  "left": {
    "id": "e2078ffa3de56c07",
    "type": "split",
    "children": [
      {
        "id": "d86cb8d8115f9e4b",
        "type": "tabs",
        "children": [
          {
            "id": "2b2245f56092006e",
            "type": "leaf",
            "state": {
              "type": "file-explorer",
              "state": {
                "sortOrder": "alphabetical",
                "autoReveal": false
              },
              "icon": "lucide-folder-closed",
              "title": "Files"
            }
          },
          {
            "id": "954699747dc12b5e",
            "type": "leaf",
            "state": {
              "type": "search",
              "state": {
                "query": "\u0001",
                "matchingCase": true,
                "explainSearch": false,
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical"
              },
              "icon": "lucide-search",
              "title": "Search"
            }
          },
          {
            "id": "71e92c2ed6f6f21c",
            "type": "leaf",
            "state": {
              "type": "bookmarks",
              "state": {},
              "icon": "lucide-bookmark",
              "title": "Segnalibri"
            }
          }
        ]
      }
    ],
    "direction": "horizontal",
    "width": 309.5,
    "collapsed": true
  },
  "right": {
    "id": "bc4b945ded1926e3",
    "type": "split",
    "children": [
      {
        "id": "00a3201508c9b6f7",
        "type": "tabs",
        "children": [
          {
            "id": "34cc5dc90419b254",
            "type": "leaf",
            "state": {
              "type": "backlink",
              "state": {
                "file": "Autonomous Networking/notes/q&a.md",
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical",
                "showSearch": false,
                "searchQuery": "",
                "backlinkCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-coming-in",
              "title": "Backlinks for q&a"
            }
          },
          {
            "id": "f4a0915b879a43cd",
            "type": "leaf",
            "state": {
              "type": "outgoing-link",
              "state": {
                "file": "Autonomous Networking/notes/q&a.md",
                "linksCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-going-out",
              "title": "Outgoing links from q&a"
            }
          },
          {
            "id": "c12ba700d0604b95",
            "type": "leaf",
            "state": {
              "type": "tag",
              "state": {
                "sortOrder": "frequency",
                "useHierarchy": true
              },
              "icon": "lucide-tags",
              "title": "Tags"
            }
          },
          {
            "id": "77997770a5699d72",
            "type": "leaf",
            "state": {
              "type": "outline",
              "state": {
                "file": "Autonomous Networking/notes/q&a.md"
              },
              "icon": "lucide-list",
              "title": "Outline of q&a"
            }
          },
          {
            "id": "0d5325c0f9289cea",
            "type": "leaf",
            "state": {
              "type": "git-view",
              "state": {},
              "icon": "git-pull-request",
              "title": "Source Control"
            }
          },
          {
            "id": "cbc4870b4c7598e1",
            "type": "leaf",
            "state": {
              "type": "chat-view",
              "state": {
                "file": "Chats/New Chat.md"
              },
              "icon": "lucide-file",
              "title": "Plugin no longer active"
            }
          }
        ],
        "currentTab": 4
      }
    ],
    "direction": "horizontal",
    "width": 364.5,
    "collapsed": true
  },
  "left-ribbon": {
    "hiddenItems": {
      "switcher:Open quick switcher": false,
      "graph:Open graph view": false,
      "canvas:Create new canvas": false,
      "daily-notes:Open today's daily note": false,
      "templates:Insert template": false,
      "command-palette:Open command palette": false,
      "obsidian-ocr:Search OCR": false,
      "obsidian-git:Open Git source control": false,
      "smart-second-brain:Open S2B Chat": false,
      "companion:Toggle completion": false
    }
  },
  "active": "ec8d1a91f1f0cc7e",
  "lastOpenFiles": [
    "Pasted image 20250429083129.png",
    "Pasted image 20250429082905.png",
    "Concurrent Systems/slides/class 14.pdf",
    "Concurrent Systems/notes/14.md",
    "Pasted image 20250429082812.png",
    "Concurrent Systems/notes/13 - Weak Bisimilarity.md",
    "Concurrent Systems/slides/class 13.pdf",
    "Pasted image 20250428175449.png",
    "Pasted image 20250428085837.png",
    "Pasted image 20250428085410.png",
    "Pasted image 20250428084340.png",
    "Pasted image 20250428083727.png",
    "Concurrent Systems/notes/12 - Calculus of communicating system.md",
    "Concurrent Systems/slides/class 12.pdf",
    "Concurrent Systems/notes/12b - CCS cose varie.md",
    "Concurrent Systems/notes/11 - LTSs and Bisimulation.md",
    "HCIW/slides/HCI in the car.pdf",
    "Concurrent Systems/notes/10 - Implementing Consensus.md",
    "Pasted image 20250415090109.png",
    "Pasted image 20250415082906.png",
    "Concurrent Systems/notes/images/Pasted image 20250414164549.png",
    "Concurrent Systems/slides/class 11.pdf",
    "HCIW/notes/3 - Beacons.md",
    "HCIW/slides/Zooming interfaces.pdf",
    "HCIW/slides/Gestural interaction.pdf",
    "Concurrent Systems/notes/2 - Fast mutex by Lamport.md",
    "Concurrent Systems/notes/4 - Semaphores.md",
    "Concurrent Systems/notes/4b - Monitors.md",
    "Concurrent Systems/notes/3b - Aravind's algorithm and improvements.md",
    "Concurrent Systems/notes/1b - Peterson algorithm.md",
    "Concurrent Systems/slides/class 5.pdf",
    "Concurrent Systems/notes/5 - Software Transactional Memory.md",
    "Concurrent Systems/notes/4c - Dining Philosophers.md",
    "\u0002.md",
    "Concurrent Systems/notes/2b - Round Robin algorithm.md",
    "\u0001.md",
    "Concurrent Systems/a.md",
    "Concurrent Systems/notes/9 - Consensus.md",
    "Concurrent Systems/notes/8 - Enhancing Liveness Properties.md",
    "Concurrent Systems/notes/7- MUTEX-free concurrency.md",
    "Concurrent Systems/notes/6 - Atomicity.md",
    "Concurrent Systems/notes/3a - Hardware primitives & Lamport Bakery algorithm.md",
    "Concurrent Systems/notes/1 - CS Basics.md",
    "Concurrent Systems/notes/6a - Alternatives to Atomicity.md",
    "HCIW/slides/1 Interface and Interaction for IoT.pdf",
    "Concurrent Systems/slides/class 4.pdf",
    "Senza nome.canvas"
  ]
}